classification
Title: reference json format in file formats chapter
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: lukasz.langa Nosy List: docs@python, eric.araujo, ezio.melotti, fdrake, georg.brandl, lukasz.langa, python-dev, techtonik, terry.reedy
Priority: normal Keywords: patch

Created on 2010-06-28 15:37 by techtonik, last changed 2011-04-14 11:53 by techtonik. This issue is now closed.

Messages (19)
msg108833 - (view) Author: anatoly techtonik (techtonik) Date: 2010-06-28 15:37
Quite often people use .json files for storing configuration. Having a reference to json module from chapter "14. File Formats" would be a good pointer for those looking to .ini alternatives.
msg109201 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-07-04 01:33
Specific suggested text and location for doc changes are more likely to get action.

"File Formats is chapter 13 in 3.x. The only text now is "The modules described in this chapter parse various miscellaneous file formats that aren’t markup languages or are related to e-mail."

PATCH 1: I am quite sure that 'or are related to e-mail' should be replaced by 'and are not related to email'.

In any case, this is not the place to add a specific comment about json. Perhaps you meant that in 13.2. configparser — Configuration file parser, the following could be added to the end of the first paragraph.

PATCH 2: "The json module is also used for this purpose."
msg109209 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-04 05:11
1: Agreed. Alternate short formulation: “nor related to email”.

2: Agreed with Anatoly. json should be linked from the File Formats
section, since it’s a file format unrelated to [SGML] markup languages
or email, and it’s used for a variety of purposes, not only config files.
msg111419 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2010-07-24 02:28
1: Agreed.

2: Would use wording like: "The json module can also be used for this purpose." Can be used does not imply that it is its main function but it hints in the right direction.
msg123296 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2010-12-03 21:56
Fixed in rev 86976.
msg123311 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-04 01:39
Can you make the same addition in the docs of 3.1 and 2.7?
msg133646 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-13 07:36
The json module is listed in the Internet Data Handling section[0], and the description says:
"""
This chapter describes modules which support handling data formats commonly used on the Internet.
"""
This seems OK for json.


The File Format section[1] says:
"""
The modules described in this chapter parse various miscellaneous file formats that aren’t markup languages and are not related to e-mail.
"""
And this description might work for json too.

I'm not sure it's worth moving it though.


[0]: http://docs.python.org/py3k/library/netdata.html
[1]: http://docs.python.org/py3k/library/fileformats.html
msg133649 - (view) Author: anatoly techtonik (techtonik) Date: 2011-04-13 08:22
JSON is not file format, it is data-interchange format.
msg133651 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-13 08:28
We don't have a "Data-interchange Formats" section, so the "Internet Data Handling" section seems more appropriate than the "File Formats" one, right?
msg133652 - (view) Author: anatoly techtonik (techtonik) Date: 2011-04-13 08:43
Right.
msg133653 - (view) Author: anatoly techtonik (techtonik) Date: 2011-04-13 08:44
But having a reference from File Formats will help people find this information easier.
msg133658 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2011-04-13 10:22
And what are these people looking for?  "json"?  If so, there's
already an entry in the module index.  That seems sufficient.
msg133701 - (view) Author: anatoly techtonik (techtonik) Date: 2011-04-13 22:26
These people look for alternative configuration format to .ini, for example.
msg133706 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-04-14 03:54
New changeset d0ada1e369cd by Ezio Melotti in branch '3.1':
#9101: backport json reference in configparser doc.
http://hg.python.org/cpython/rev/d0ada1e369cd

New changeset 5a09a335e8e7 by Ezio Melotti in branch '2.7':
#9101: backport json reference in configparser doc.
http://hg.python.org/cpython/rev/5a09a335e8e7
msg133718 - (view) Author: anatoly techtonik (techtonik) Date: 2011-04-14 10:01
Wow. That's much better - python makes progress. Does this `robot` stuff flies back to Roundup? Is it possible to specify "closes bug #9101" directly in commit message?
msg133720 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-14 10:21
It's just a mercurial hook that sends email, and yes, it's possible to close the issues automatically writing "closes #xxxx" in the commit message, but I prefer to close the issue manually.
msg133722 - (view) Author: anatoly techtonik (techtonik) Date: 2011-04-14 10:57
Awesome. Especially links to actual changesets. BTW, there are only backport commits - where is the notification about the main one?
msg133723 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-14 10:59
In msg123296, r86976.
msg133728 - (view) Author: anatoly techtonik (techtonik) Date: 2011-04-14 11:53
Thanks.
History
Date User Action Args
2011-04-14 11:53:57techtoniksetmessages: + msg133728
2011-04-14 10:59:30ezio.melottisetmessages: + msg133723
2011-04-14 10:57:55techtoniksetmessages: + msg133722
2011-04-14 10:21:19ezio.melottisetmessages: + msg133720
2011-04-14 10:01:43techtoniksetmessages: + msg133718
2011-04-14 03:55:53ezio.melottisetstatus: open -> closed
2011-04-14 03:54:16python-devsetnosy: + python-dev
messages: + msg133706
2011-04-13 22:26:45techtoniksetmessages: + msg133701
2011-04-13 10:22:52fdrakesetnosy: + fdrake
messages: + msg133658
2011-04-13 08:44:00techtoniksetmessages: + msg133653
2011-04-13 08:43:27techtoniksetmessages: + msg133652
2011-04-13 08:28:55ezio.melottisetmessages: + msg133651
2011-04-13 08:22:15techtoniksetmessages: + msg133649
2011-04-13 07:36:01ezio.melottisetnosy: + georg.brandl, ezio.melotti
messages: + msg133646
2010-12-05 17:57:25eric.araujosetstatus: closed -> open
versions: - Python 2.6
2010-12-04 01:39:55eric.araujosetmessages: + msg123311
2010-12-03 21:56:20lukasz.langasetmessages: + msg123296
2010-12-03 21:36:15lukasz.langasetstatus: open -> closed
resolution: accepted
stage: patch review -> resolved
2010-08-08 21:13:07lukasz.langasetassignee: docs@python -> lukasz.langa
2010-07-24 02:28:21lukasz.langasetnosy: + lukasz.langa
messages: + msg111419
2010-07-04 05:11:09eric.araujosetnosy: + eric.araujo
messages: + msg109209
2010-07-04 01:33:32terry.reedysetversions: + Python 3.1
nosy: + terry.reedy

messages: + msg109201

keywords: + patch
stage: patch review
2010-06-28 15:37:21techtonikcreate